from catalogclient import catalog
import unittest
from bioparsanitizer import sanitizer


class TestSanitize(unittest.TestCase):

    def test_get_filename(self):

        filename = '/data/MTDA/BIOPAR/BioPar_LAI_V2_Global/2016/20161220_6/c_gls_LAI-RT6_201612200000_GLOBE_PROBAV_V2.0.1/c_gls_LAI-RT6_201612200000_GLOBE_PROBAV_V2.0.1.nc'
        product_file = catalog.EOProductFile(
            'file:' + filename,
            ['LENGTH_AFTER', 'LENGTH_BEFORE', 'LAI', 'NOBS', 'QFLAG', 'RMSE'])
        product = catalog.EOProduct(producttype='BioPar_LAI_V2_Global',
                                    files=[product_file])

        s = sanitizer.Sanitizer()
        s.get_filename(product)

        self.assertEqual(filename, s.get_filename(product))
